%global gem_name gettext_i18n_rails

%global rubyabi 1.9.1

Summary: Simple FastGettext Rails integration
Name: rubygem-%{gem_name}
Version: 0.6.6
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/grosser/gettext_i18n_rails
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(abi) = %{rubyabi}
Requires: ruby(rubygems) 
Requires: rubygem(fast_gettext)
Requires: rubygem(rails)
BuildRequires: rubygems-devel
BuildRequires: rubygem(activerecord)
BuildRequires: rubygem(actionmailer)
BuildRequires: rubygem(gettext)
BuildRequires: rubygem(fast_gettext)
BuildRequires: rubygem(haml)
BuildRequires: rubygem(rspec-core)
BuildRequires: rubygem(railties)
BuildRequires: rubygem(sqlite3)
BuildRequires: rubygem(temple)
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
Translate via FastGettext, use any other I18n backend as extension/fallback.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}


%prep
%setup -q -c -T
mkdir -p .%{gem_dir}
gem install --local --install-dir .%{gem_dir} \
            --force %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


%check
pushd .%{gem_instdir}
# 2 tests fail due to missing gems 'slim' and 'hamlet'
rspec -Ilib spec/ | grep '57 examples, 2 failures, 6 pending'
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_instdir}/.*
%exclude %{gem_instdir}/Gemfile.lock
%exclude %{gem_cache}
%{gem_spec}
%doc %{gem_instdir}/Readme.md

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Rakefile
%{gem_instdir}/Gemfile
%{gem_instdir}/init.rb
%{gem_instdir}/spec
%{gem_instdir}/gettext_i18n_rails.gemspec

%changelog
* Fri Jul 27 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.6.6-1
- Updated to version 0.6.6.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Feb 02 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.4.0-2
- Rebuilt for Ruby 1.9.3.

* Wed Jan 04 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.4.0-1
- New version.
- Modified Requires and BuildRequires according to new version.

* Mon Jan 02 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.3.6-1
- Update to the latest version.
- Changed license to Public Domain only.
- Moved init.rb to doc subpackage, as it is not needed for runtime.
- Fixed dependencies according to the gemspec in this version.

* Wed Oct 26 2011 Bohuslav Kabrda <bkabrda@redhat.com> - 0.3.0-1
- Upgraded to the latest version.
- Removed the patch that fixed failing tests (fixed in new version).
- Clarified the license.
- Moved Readme.md to the main package, as it contains licensing information.
- Moved VERSION to the main package and unmarked it as a doc, as it's needed for runtime.

* Wed Sep 14 2011 Bohuslav Kabrda <bkabrda@redhat.com> - 0.2.20-1
- Initial package
